task mendelian {
	File family_vcf
	File ref_dir
	String fasta
	String project
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		export LD_LIBRARY_PATH=/opt/htslib-1.9
		nt=$(nproc)

		echo -e "${project}\tLCL8\t0\t0\t2\t-9\n${project}\tLCL7\t0\t0\t1\t-9\n${project}\tLCL5\tLCL7\tLCL8\t2\t-9" > ${project}.D5.ped

		mkdir VBT_D5
		/opt/VBT-TrioAnalysis/vbt mendelian -ref ${ref_dir}/${fasta} -mother ${family_vcf} -father ${family_vcf} -child ${family_vcf} -pedigree ${project}.D5.ped -outDir VBT_D5 -out-prefix ${project}.D5 --output-violation-regions -thread-count $nt

		cat VBT_D5/${project}.D5_trio.vcf > ${project}.D5.vcf

		echo -e "${project}\tLCL8\t0\t0\t2\t-9\n${project}\tLCL7\t0\t0\t1\t-9\n${project}\tLCL6\tLCL7\tLCL8\t2\t-9" > ${project}.D6.ped

		mkdir VBT_D6
		/opt/VBT-TrioAnalysis/vbt mendelian -ref ${ref_dir}/${fasta} -mother ${family_vcf} -father ${family_vcf} -child ${family_vcf} -pedigree ${project}.D6.ped -outDir VBT_D6 -out-prefix ${project}.D6 --output-violation-regions -thread-count $nt

		cat VBT_D6/${project}.D6_trio.vcf > ${project}.D6.vcf
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File D5_ped = "${project}.D5.ped"
		File D6_ped = "${project}.D6.ped"
		Array[File] D5_mendelian = glob("VBT_D5/*")
		Array[File] D6_mendelian = glob("VBT_D6/*")
		File D5_trio_vcf = "${project}.D5.vcf"
		File D6_trio_vcf = "${project}.D6.vcf"
		File family_all_vcf = "${project}.vcf"
	}
}



