task merge_mendelian {
	File D5_trio_vcf
	File D6_trio_vcf
	File family_vcf
	String project
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		cat ${D5_trio_vcf} | grep -v '##' > ${project}.D5.txt
		cat ${D6_trio_vcf} | grep -v '##' > ${project}.D6.txt
		cat ${family_vcf} | grep -v '##' > ${project}.consensus.txt
		python /opt/merge_two_family_with_genotype.py -LCL5 ${project}.D5.txt -LCL6 ${project}.D6.txt -genotype ${project}.consensus.txt -family ${project}.mendelian
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File project_mendelian = "${project}.mendelian.txt"
		File project_mendelian_summary = "${project}.mendelian.summary.txt"
	}
}